clang-tools 8.0.0

Public Member Functions | List of all members
clang::clangd::StreamLogger Class Reference

`#include <Logger.h>`

Inheritance diagram for clang::clangd::StreamLogger:
[legend]
Collaboration diagram for clang::clangd::StreamLogger:
[legend]

## Public Member Functions
| StreamLogger (llvm::raw_ostream &Logs, Logger::Level MinLevel)
void | log (Level, const llvm::formatv_object_base &Message) override
| Write a line to the logging stream. More...
Public Member Functions inherited from clang::clangd::Logger
virtual | ~Logger ()=default

## Additional Inherited Members
Public Types inherited from clang::clangd::Logger
enum | Level { Debug, Verbose, Info, Error }
Static Public Member Functions inherited from clang::clangd::Logger
static char | indicator (Level L)

## Detailed Description

Definition at line 91 of file Logger.h.

## Constructor & Destructor Documentation

## ◆ StreamLogger()

clang::clangd::StreamLogger::StreamLogger | ( | llvm::raw_ostream & | Logs,
|  | Logger::Level | MinLevel
| ) |  |
| inline

Definition at line 93 of file Logger.h.

References clang::clangd::Logger::log(), and clang::tidy::modernize::Message.

## Member Function Documentation

## ◆ log()

void clang::clangd::StreamLogger::log | ( | Logger::Level | Level,
|  | const llvm::formatv_object_base & | Message
| ) |  |
| override virtual

Write a line to the logging stream.

Implements clang::clangd::Logger.

Definition at line 50 of file Logger.cpp.

References clang::clangd::trace::log().

The documentation for this class was generated from the following files:

- Logger.h
- Logger.cpp